"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose = require('mongoose');
const { Schema } = mongoose;
const schema = new Schema({
    namespace: {
        type: String,
        required: true,
        unique: true,
        index: true,
    },
    name: {
        type: String,
        required: true,
    },
    options: {
        type: Array,
    },
    value: {
        type: 'Mixed',
        require: true,
    },
});
/* eslint-disable func-names */
schema.statics.staticFunctionExample = function () {
    return new Promise((resolve, reject) => {
        this.model('ExampleModel').find({}, (err, doc) => {
            if (err)
                return reject(err);
            if (!doc)
                return resolve(undefined);
            return resolve(doc);
        });
    });
};
exports.default = schema;
//# sourceMappingURL=ExampleModel.js.map