import { ErrorType } from './types';
export declare class BaseError extends Error {
    code: ErrorType['code'];
    httpStatus: ErrorType['httpStatus'];
    constructor(props: ErrorType, customMessage?: string);
}
export declare class BadRequestError extends BaseError {
    constructor(customMessage?: string);
}
export declare class InvalidConfigError extends BaseError {
    constructor(customMessage?: string);
}
export declare class UnauthorizedError extends BaseError {
    constructor(customMessage?: string);
}
export declare class NotAllowedError extends BaseError {
    constructor(customMessage?: string);
}
export declare class NotFoundError extends BaseError {
    constructor(customMessage?: string);
}
export declare class ResourceConflictError extends BaseError {
    constructor(customMessage?: string);
}
export declare class UncaughtExceptionError extends BaseError {
    constructor(customMessage?: string);
}
export declare class VersionConflictError extends BaseError {
    constructor(customMessage?: string);
}
export declare class NotModifiedError extends BaseError {
    constructor(customMessage?: string);
}
