"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotModifiedError = exports.VersionConflictError = exports.UncaughtExceptionError = exports.ResourceConflictError = exports.NotFoundError = exports.NotAllowedError = exports.UnauthorizedError = exports.InvalidConfigError = exports.BadRequestError = exports.BaseError = void 0;
const Presets = __importStar(require("./presets"));
class BaseError extends Error {
    constructor(props, customMessage) {
        super(customMessage || props.message);
        this.code = props.code;
        this.name = props.name || this.constructor.name;
        this.httpStatus = props.httpStatus || 500;
        Error.captureStackTrace(this, this.constructor);
    }
}
exports.BaseError = BaseError;
class BadRequestError extends BaseError {
    constructor(customMessage) {
        super(Presets.BAD_REQUEST_ERROR, customMessage);
    }
}
exports.BadRequestError = BadRequestError;
class InvalidConfigError extends BaseError {
    constructor(customMessage) {
        super(Presets.INVALID_CONFIG_ERROR, customMessage);
    }
}
exports.InvalidConfigError = InvalidConfigError;
class UnauthorizedError extends BaseError {
    constructor(customMessage) {
        super(Presets.UNAUTHORIZED_ERROR, customMessage);
    }
}
exports.UnauthorizedError = UnauthorizedError;
class NotAllowedError extends BaseError {
    constructor(customMessage) {
        super(Presets.NOT_ALLOWED_ERROR, customMessage);
    }
}
exports.NotAllowedError = NotAllowedError;
class NotFoundError extends BaseError {
    constructor(customMessage) {
        super(Presets.NOT_FOUND_ERROR, customMessage);
    }
}
exports.NotFoundError = NotFoundError;
class ResourceConflictError extends BaseError {
    constructor(customMessage) {
        super(Presets.RESOURCE_CONFLICT_ERROR, customMessage);
    }
}
exports.ResourceConflictError = ResourceConflictError;
class UncaughtExceptionError extends BaseError {
    constructor(customMessage) {
        super(Presets.UNCAUGHT_EXCEPTION_ERROR, customMessage);
    }
}
exports.UncaughtExceptionError = UncaughtExceptionError;
class VersionConflictError extends BaseError {
    constructor(customMessage) {
        super(Presets.VERSION_ERROR, customMessage);
    }
}
exports.VersionConflictError = VersionConflictError;
class NotModifiedError extends BaseError {
    constructor(customMessage) {
        super(Presets.NOT_MODIFIED_ERROR, customMessage);
    }
}
exports.NotModifiedError = NotModifiedError;
//# sourceMappingURL=errors.js.map