"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NOT_MODIFIED_ERROR = exports.VERSION_ERROR = exports.UNCAUGHT_EXCEPTION_ERROR = exports.RESOURCE_CONFLICT_ERROR = exports.NOT_FOUND_ERROR = exports.NOT_ALLOWED_ERROR = exports.UNAUTHORIZED_ERROR = exports.INVALID_CONFIG_ERROR = exports.BAD_REQUEST_ERROR = void 0;
const httpStatus_1 = require("../common/enums/httpStatus");
exports.BAD_REQUEST_ERROR = {
    name: 'BadRequestError',
    code: 'ihub.badRequest',
    message: 'Bad request.',
    httpStatus: httpStatus_1.HttpStatus.BAD_REQUEST,
};
exports.INVALID_CONFIG_ERROR = {
    name: 'InvalidConfigError',
    code: 'ihub.invalidConfig',
    message: 'Informed config is not valid.',
    httpStatus: httpStatus_1.HttpStatus.INTERNAL_SERVER_ERROR,
};
exports.UNAUTHORIZED_ERROR = {
    name: 'UnauthorizedError',
    code: 'ihub.unauthorized',
    message: 'Authentication required.',
    httpStatus: httpStatus_1.HttpStatus.UNAUTHORIZED,
};
exports.NOT_ALLOWED_ERROR = {
    name: 'NotAllowedError',
    code: 'ihub.notAllowed',
    message: 'Permission denied.',
    httpStatus: httpStatus_1.HttpStatus.FORBIDDEN,
};
exports.NOT_FOUND_ERROR = {
    name: 'NotFoundError',
    code: 'ihub.notFound',
    message: 'The requested resource was not found.',
    httpStatus: httpStatus_1.HttpStatus.NOT_FOUND,
};
exports.RESOURCE_CONFLICT_ERROR = {
    name: 'ResourceConflictError',
    code: 'ihub.resourceConflict',
    message: 'The resource already exists or could not be updated.',
    httpStatus: httpStatus_1.HttpStatus.CONFLICT,
};
exports.UNCAUGHT_EXCEPTION_ERROR = {
    name: 'UncaughtExceptionError',
    code: 'ihub.uncaughtException',
    message: 'Oops, something went wrong.',
    httpStatus: httpStatus_1.HttpStatus.INTERNAL_SERVER_ERROR,
};
exports.VERSION_ERROR = {
    name: 'VersionConflictError',
    code: 'ihub.versionConflict',
    message: 'The resource is out of sync with the database. Please review the request and try again.',
    httpStatus: httpStatus_1.HttpStatus.CONFLICT,
};
exports.NOT_MODIFIED_ERROR = {
    name: 'NotModifiedError',
    code: 'ihub.notModified',
    message: 'The requested resource has not been modified since the previous transmission.',
    httpStatus: httpStatus_1.HttpStatus.NOT_MODIFIED,
};
//# sourceMappingURL=presets.js.map