/// <reference types="express" />
import { Response } from '../index';
export declare class HttpHelper {
    static jsonResponse(res: Response, code: number, message: string): void;
    static ok<T>(res: Response, dto?: T, allowedFields?: string[]): void;
    static created<T>(res: Response, dto?: T, allowedFields?: string[]): void;
    static clientError(res: Response, message?: string): void;
    static unauthorized(res: Response, message?: string): void;
    static paymentRequired(res: Response, message?: string): void;
    static forbidden(res: Response, message?: string): void;
    static notFound(res: Response, message?: string): void;
    static conflict(res: Response, message?: string): void;
    static tooMany(res: Response, message?: string): void;
    static fail(res: Response, error: Error | string): void;
}
