"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidObjectId = void 0;
const mongoose_1 = require("mongoose");
/**
 * Checks if a value is a valid bson ObjectId
 *
 * @return {boolean} return true if the value is a valid bson ObjectId, return false otherwise.
 */
function isValidObjectId(id) {
    if (mongoose_1.Types.ObjectId.isValid(id)) {
        const objectId = new mongoose_1.Types.ObjectId(id);
        if (objectId.toString() === id.toString()) {
            return true;
        }
    }
    return false;
}
exports.isValidObjectId = isValidObjectId;
//# sourceMappingURL=objectHelper.js.map