import { Task } from '../tasks';
import { Route } from './router/RouteInterface';
import { Routine } from './cron/RoutineInterface';
import { RouteMiddleware } from './router/RouteMiddleware';
import { Proxy } from './router/ProxyInterface';
/**
 * Component Scheme
 */
interface IComponent {
    server?: {
        routes?: Route[];
        proxies?: Proxy[];
        middlewares?: RouteMiddleware[];
    };
    messages?: Task[];
    routines?: Routine[];
}
declare class Component implements IComponent {
    alias: string;
    path: string;
    routes?: Route[];
    proxies?: Proxy[];
    routesMiddleware?: RouteMiddleware[];
    routines?: Routine[];
    tasks?: Task[];
    constructor(options: IComponent);
}
export { Component, Task, Route, RouteMiddleware, Routine, Proxy };
