/**
 * Plugins Class
 *
 * @export
 * @class Plugins
 */
export declare class Plugins {
    pluginsFolderPath: string;
    pluginsPaths: string[];
    plugins: {
        [x: string]: any;
    };
    /**
     *Creates an instance of Plugins.
     * @param {string} pluginPath
     * @memberof Plugins
     */
    constructor(pluginsFolderPath: string);
    /**
     * Get Plugins
     *
     * @private
     * @returns {string[]}
     * @memberof Plugins
     */
    private getPlugins;
    /**
     * Load the plugin module
     *
     * Load and check if the plugin module is a promise
     *
     * @param {string} plugin
     * @returns
     * @memberof Plugins
     */
    loadPlugins(): Promise<void>;
    /**
     *
     *
     * @returns
     * @memberof Plugins
     */
    start(): Promise<{
        [x: string]: any;
    }>;
}
