"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsoleLogger = void 0;
const winston_1 = __importDefault(require("winston"));
const { combine, timestamp, printf, } = winston_1.default.format;
const logFormat = printf(info => `${info.timestamp} ${info.level}: ${info.message}`);
class ConsoleLogger {
    constructor(level) {
        this.level = level;
    }
    // eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
    getTransport() {
        return new winston_1.default.transports.Console({
            level: this.level,
            format: combine(winston_1.default.format.colorize(), timestamp(), logFormat),
        });
    }
}
exports.ConsoleLogger = ConsoleLogger;
//# sourceMappingURL=console.js.map