"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElasticLogger = void 0;
const Elasticsearch = __importStar(require("elasticsearch"));
const winElasticsearch = require('winston-elasticsearch');
class ElasticLogger {
    constructor(host, log) {
        this.elasticsearchClient = new Elasticsearch.Client({
            host,
            log,
        });
    }
    getTransport(indexPrefix, level) {
        return new winElasticsearch({
            indexPrefix,
            level,
            client: this.elasticsearchClient,
            transformer: (logData) => {
                const transformed = {};
                transformed['@timestamp'] =
                    logData.timestamp ? logData.timestamp : new Date().toISOString();
                transformed.message = logData.message;
                transformed.severity = logData.level;
                transformed.logId = logData.meta.logId;
                delete logData.meta.logId;
                transformed.fields = logData.meta;
                return transformed;
            },
        });
    }
}
exports.ElasticLogger = ElasticLogger;
//# sourceMappingURL=elastic.js.map