interface Task {
    queue: string;
    exchange: string;
    routeKey: string;
    type?: string;
    prefetch?: number;
    options?: {
        [x: string]: any;
    };
    action(payload: any, done: Done): any;
}
interface Done {
    (nack?: any, requeue?: boolean, allUpTo?: boolean): void;
}
interface TasksOptions {
    enabled?: boolean;
    host?: string;
}
interface TaskSend {
    (exchange: string, routeKey: string, message: string, options?: any): void;
}
export declare class Tasks implements TasksOptions {
    enabled?: boolean;
    host?: string;
    ch: any;
    con: any;
    running: number;
    constructor(options: TasksOptions);
    start(): any;
    send(exchange: string, routeKey: string, message: string, options?: any): TaskSend;
    bindTask(task: Task): Promise<void>;
}
export { TasksOptions, TaskSend, Task, Done };
