/**
 * Checks if `value` is classified as a Number primitive or object.
 *
 * Note: To exclude Infinity, -Infinity, and NaN, which are classified as numbers, use the isFinite method.
 *
 * @param value The `value` to check.
 * @return Returns true if `value` is correctly classified, else false.
 */
export declare function isNumber(value?: any): boolean;
/**
 * Checks if `value` is a finite primitive number.
 *
 * Note: This method is based on Number.isFinite.
 *
 * @param value The value to check.
 * @return Returns true if `value` is a finite number, else false.
 */
export declare function isFinite(value?: any): boolean;
/**
 * Checks if `value` is a finite primitive number.
 *
 * Note: This method is based on Number.isFinite.
 *
 * @param value The value to check.
 * @return Returns true if `value` is a finite number, else false.
 */
export declare function isNumberAndHigherOrEqualsToZero(value: any): boolean;
